;/** @example SACLA-offline.ini */
;;
;; ini file to be used for sfx analysis at SACLA
;; including pump-probe analysis
;;
;;


; ---------------------the processors--------------------------

; The diffraction detector image
[Processor]
MPCCDRaw/ID = 109
MPCCDRaw/CASSID = 20
MPCCDRaw/nCols = 512
MPCCDRaw/nRows = 8192
MPCCDRaw/Hide = false
;-- tile 1 columns
MPCCDTile1_nColumns/ID = 120
MPCCDTile1_nColumns/VariableName = "MPCCD-8-2-001-1_Width"
MPCCDTile1_nColumns/Hide = true
;-- tile 1 rows
MPCCDTile1_nRows/ID = 120
MPCCDTile1_nRows/VariableName = "MPCCD-8-2-001-1_Height"
MPCCDTile1_nRows/Hide = true
;-- tile 1 posx
MPCCDTile1_posx_um/ID = 120
MPCCDTile1_posx_um/VariableName = "MPCCD-8-2-001-1_PosX_um"
MPCCDTile1_posx_um/Hide = true
;-- tile 1 posy
MPCCDTile1_posy_um/ID = 120
MPCCDTile1_posy_um/VariableName = "MPCCD-8-2-001-1_PosY_um"
MPCCDTile1_posy_um/Hide = true
;-- tile 1 posz
MPCCDTile1_posz_um/ID = 120
MPCCDTile1_posz_um/VariableName = "MPCCD-8-2-001-1_PosZ_um"
MPCCDTile1_posz_um/Hide = true
;-- tile 1 gain
MPCCDTile1_gain/ID = 120
MPCCDTile1_gain/VariableName = "MPCCD-8-2-001-1_AbsGain"
MPCCDTile1_gain/Hide = false
;--
;-- tile 2 columns
MPCCDTile2_nColumns/ID = 120
MPCCDTile2_nColumns/VariableName = "MPCCD-8-2-001-2_Width"
MPCCDTile2_nColumns/Hide = true
;-- tile 2 rows
MPCCDTile2_nRows/ID = 120
MPCCDTile2_nRows/VariableName = "MPCCD-8-2-001-2_Height"
MPCCDTile2_nRows/Hide = true
;-- tile 2 posx
MPCCDTile2_posx_um/ID = 120
MPCCDTile2_posx_um/VariableName = "MPCCD-8-2-001-2_PosX_um"
MPCCDTile2_posx_um/Hide = true
;-- tile 2 posy
MPCCDTile2_posy_um/ID = 120
MPCCDTile2_posy_um/VariableName = "MPCCD-8-2-001-2_PosY_um"
MPCCDTile2_posy_um/Hide = true
;-- tile 2 posz
MPCCDTile2_posz_um/ID = 120
MPCCDTile2_posz_um/VariableName = "MPCCD-8-2-001-2_PosZ_um"
MPCCDTile2_posz_um/Hide = true
;-- tile 2 gain
MPCCDTile2_gain/ID = 120
MPCCDTile2_gain/VariableName = "MPCCD-8-2-001-2_AbsGain"
MPCCDTile2_gain/Hide = true
;--
;-- tile 3 columns
MPCCDTile3_nColumns/ID = 120
MPCCDTile3_nColumns/VariableName = "MPCCD-8-2-001-3_Width"
MPCCDTile3_nColumns/Hide = true
;-- tile 3 rows
MPCCDTile3_nRows/ID = 120
MPCCDTile3_nRows/VariableName = "MPCCD-8-2-001-3_Height"
MPCCDTile3_nRows/Hide = true
;-- tile 3 posx
MPCCDTile3_posx_um/ID = 120
MPCCDTile3_posx_um/VariableName = "MPCCD-8-2-001-3_PosX_um"
MPCCDTile3_posx_um/Hide = true
;-- tile 3 posy
MPCCDTile3_posy_um/ID = 120
MPCCDTile3_posy_um/VariableName = "MPCCD-8-2-001-3_PosY_um"
MPCCDTile3_posy_um/Hide = true
;-- tile 3 posz
MPCCDTile3_posz_um/ID = 120
MPCCDTile3_posz_um/VariableName = "MPCCD-8-2-001-3_PosZ_um"
MPCCDTile3_posz_um/Hide = true
;-- tile 3 gain
MPCCDTile3_gain/ID = 120
MPCCDTile3_gain/VariableName = "MPCCD-8-2-001-3_AbsGain"
MPCCDTile3_gain/Hide = true
;--
;-- tile 4 columns
MPCCDTile4_nColumns/ID = 120
MPCCDTile4_nColumns/VariableName = "MPCCD-8-2-001-4_Width"
MPCCDTile4_nColumns/Hide = true
;-- tile 4 rows
MPCCDTile4_nRows/ID = 120
MPCCDTile4_nRows/VariableName = "MPCCD-8-2-001-4_Height"
MPCCDTile4_nRows/Hide = true
;-- tile 4 posx
MPCCDTile4_posx_um/ID = 120
MPCCDTile4_posx_um/VariableName = "MPCCD-8-2-001-4_PosX_um"
MPCCDTile4_posx_um/Hide = true
;-- tile 4 posy
MPCCDTile4_posy_um/ID = 120
MPCCDTile4_posy_um/VariableName = "MPCCD-8-2-001-4_PosY_um"
MPCCDTile4_posy_um/Hide = true
;-- tile 4 posz
MPCCDTile4_posz_um/ID = 120
MPCCDTile4_posz_um/VariableName = "MPCCD-8-2-001-4_PosZ_um"
MPCCDTile4_posz_um/Hide = true
;-- tile 4 gain
MPCCDTile4_gain/ID = 120
MPCCDTile4_gain/VariableName = "MPCCD-8-2-001-4_AbsGain"
MPCCDTile4_gain/Hide = true
;--
;-- tile 5 columns
MPCCDTile5_nColumns/ID = 120
MPCCDTile5_nColumns/VariableName = "MPCCD-8-2-001-5_Width"
MPCCDTile5_nColumns/Hide = true
;-- tile 5 rows
MPCCDTile5_nRows/ID = 120
MPCCDTile5_nRows/VariableName = "MPCCD-8-2-001-5_Height"
MPCCDTile5_nRows/Hide = true
;-- tile 5 posx
MPCCDTile5_posx_um/ID = 120
MPCCDTile5_posx_um/VariableName = "MPCCD-8-2-001-5_PosX_um"
MPCCDTile5_posx_um/Hide = true
;-- tile 5 posy
MPCCDTile5_posy_um/ID = 120
MPCCDTile5_posy_um/VariableName = "MPCCD-8-2-001-5_PosY_um"
MPCCDTile5_posy_um/Hide = true
;-- tile 5 posz
MPCCDTile5_posz_um/ID = 120
MPCCDTile5_posz_um/VariableName = "MPCCD-8-2-001-5_PosZ_um"
MPCCDTile5_posz_um/Hide = true
;-- tile 5 gain
MPCCDTile5_gain/ID = 120
MPCCDTile5_gain/VariableName = "MPCCD-8-2-001-5_AbsGain"
MPCCDTile5_gain/Hide = true
;--
;-- tile 6 columns
MPCCDTile6_nColumns/ID = 120
MPCCDTile6_nColumns/VariableName = "MPCCD-8-2-001-6_Width"
MPCCDTile6_nColumns/Hide = true
;-- tile 6 rows
MPCCDTile6_nRows/ID = 120
MPCCDTile6_nRows/VariableName = "MPCCD-8-2-001-6_Height"
MPCCDTile6_nRows/Hide = true
;-- tile 6 posx
MPCCDTile6_posx_um/ID = 120
MPCCDTile6_posx_um/VariableName = "MPCCD-8-2-001-6_PosX_um"
MPCCDTile6_posx_um/Hide = true
;-- tile 6 posy
MPCCDTile6_posy_um/ID = 120
MPCCDTile6_posy_um/VariableName = "MPCCD-8-2-001-6_PosY_um"
MPCCDTile6_posy_um/Hide = true
;-- tile 6 posz
MPCCDTile6_posz_um/ID = 120
MPCCDTile6_posz_um/VariableName = "MPCCD-8-2-001-6_PosZ_um"
MPCCDTile6_posz_um/Hide = true
;-- tile 6 gain
MPCCDTile6_gain/ID = 120
MPCCDTile6_gain/VariableName = "MPCCD-8-2-001-6_AbsGain"
MPCCDTile6_gain/Hide = true
;--
;-- tile 7 columns
MPCCDTile7_nColumns/ID = 120
MPCCDTile7_nColumns/VariableName = "MPCCD-8-2-001-7_Width"
MPCCDTile7_nColumns/Hide = true
;-- tile 7 rows
MPCCDTile7_nRows/ID = 120
MPCCDTile7_nRows/VariableName = "MPCCD-8-2-001-7_Height"
MPCCDTile7_nRows/Hide = true
;-- tile 7 posx
MPCCDTile7_posx_um/ID = 120
MPCCDTile7_posx_um/VariableName = "MPCCD-8-2-001-7_PosX_um"
MPCCDTile7_posx_um/Hide = true
;-- tile 7 posy
MPCCDTile7_posy_um/ID = 120
MPCCDTile7_posy_um/VariableName = "MPCCD-8-2-001-7_PosY_um"
MPCCDTile7_posy_um/Hide = true
;-- tile 7 posz
MPCCDTile7_posz_um/ID = 120
MPCCDTile7_posz_um/VariableName = "MPCCD-8-2-001-7_PosZ_um"
MPCCDTile7_posz_um/Hide = true
;-- tile 7 gain
MPCCDTile7_gain/ID = 120
MPCCDTile7_gain/VariableName = "MPCCD-8-2-001-7_AbsGain"
MPCCDTile7_gain/Hide = true
;--
;-- tile 8 columns
MPCCDTile8_nColumns/ID = 120
MPCCDTile8_nColumns/VariableName = "MPCCD-8-2-001-8_Width"
MPCCDTile8_nColumns/Hide = true
;-- tile 8 rows
MPCCDTile8_nRows/ID = 120
MPCCDTile8_nRows/VariableName = "MPCCD-8-2-001-8_Height"
MPCCDTile8_nRows/Hide = true
;-- tile 8 posx
MPCCDTile8_posx_um/ID = 120
MPCCDTile8_posx_um/VariableName = "MPCCD-8-2-001-8_PosX_um"
MPCCDTile8_posx_um/Hide = true
;-- tile 8 posy
MPCCDTile8_posy_um/ID = 120
MPCCDTile8_posy_um/VariableName = "MPCCD-8-2-001-8_PosY_um"
MPCCDTile8_posy_um/Hide = true
;-- tile 8 posz
MPCCDTile8_posz_um/ID = 120
MPCCDTile8_posz_um/VariableName = "MPCCD-8-2-001-8_PosZ_um"
MPCCDTile8_posz_um/Hide = true
;-- tile 8 gain
MPCCDTile8_gain/ID = 120
MPCCDTile8_gain/VariableName = "MPCCD-8-2-001-8_AbsGain"
MPCCDTile8_gain/Hide = true



;--- Microscope Camera----
[;Processor]
Microscope/ID = 109
Microscope/CASSID = 21
Microscope/nCols = 640
Microscope/nRows = 480
Microscope/Hide = false


;------ create the offset, noise and bad pixel map-----

[Processor]
;-- collect images when shutter is closed
MPCCDDarkCal/ID = 330
MPCCDDarkCal/RawImage = MPCCDRaw
MPCCDDarkCal/ConditionName = DefaultFalseHist
MPCCDDarkCal/Train = false
MPCCDDarkCal/InputFilename = darkcal_20.cal
MPCCDDarkCal/WriteCal = false
MPCCDDarkCal/Hide = false
;-- get the offset map
OffsetMap/ID = 70
OffsetMap/HistName = MPCCDDarkCal
OffsetMap/XLow = 0
OffsetMap/XUp = 511
OffsetMap/YLow = 0
OffsetMap/YUp = 8191
OffsetMap/Hide = false
;-- histogram of the offset values
OffsetMapHist/ID = 60
OffsetMapHist/HistName = OffsetMap
OffsetMapHist/XNbrBins = 1000
OffsetMapHist/XLow = -100
OffsetMapHist/XUp = 700
OffsetMapHist/XTitle = OffsetValues [adu]
OffsetMapHist/Hide = false
;-- get the noise map
NoiseMap/ID = 70
NoiseMap/HistName = MPCCDDarkCal
NoiseMap/XLow = 0
NoiseMap/XUp = 511
NoiseMap/YLow = 8192
NoiseMap/YUp = 16383
NoiseMap/Hide = false
;-- histogram of the noise values
NoiseMapHist/ID = 60
NoiseMapHist/HistName = NoiseMap
NoiseMapHist/XNbrBins = 100
NoiseMapHist/XLow = 0
NoiseMapHist/XUp = 100
NoiseMapHist/XTitle = NoiseValues [adu]
NoiseMapHist/Hide = false
;-- get the bad pixel map
BadPixMap/ID = 70
BadPixMap/HistName = MPCCDDarkCal
BadPixMap/XLow = 0
BadPixMap/XUp = 511
BadPixMap/YLow = 24576
BadPixMap/YUp = 32767
BadPixMap/Hide = false







;---- treat the raw image of the MPCCD -----

[Processor]
;-- mask the bad pixels of the detector
MPCCD/ID = 41
MPCCD/HistName = MPCCDRaw
MPCCD/ThresholdName = BadPixMap
MPCCD/UserVal = 0
MPCCD/LowerBound = 0.5
MPCCD/UpperBound = 1.5
MPCCD/Hide = false
;-- mask the bad pixels of the raw detector for cbf output
MPCCDCBF/ID = 41
MPCCDCBF/HistName = MPCCDRaw
MPCCDCBF/ThresholdName = BadPixMap
MPCCDCBF/UserVal = -3
MPCCDCBF/LowerBound = 0.5
MPCCDCBF/UpperBound = 1.5
MPCCDCBF/Hide = false
;;-- copy the raw detctor
;MPCCD/ID = 13
;MPCCD/HistName = MPCCDRaw
;MPCCD/Hide = false




;-------- hitfinding------

; find nbr of bragg peaks by taking background with pixels that are free of
; outliers
[Processor]
BraggPeakTableNoOutliers/ID = 208
BraggPeakTableNoOutliers/HistName = MPCCD
BraggPeakTableNoOutliers/SectionSizeX = 512
BraggPeakTableNoOutliers/SectionSizeY = 1024
BraggPeakTableNoOutliers/BoxSizeX = 5
BraggPeakTableNoOutliers/BoxSizeY = 5
BraggPeakTableNoOutliers/Threshold = 3000
BraggPeakTableNoOutliers/MinSignalToNoiseRatio = 3
BraggPeakTableNoOutliers/MinNbrPixels = 2
;BraggPeakTableNoOutliers/Wavelength_A = 1.8068
BraggPeakTableNoOutliers/DetectorDistance_m = 10e-3
BraggPeakTableNoOutliers/Wavelength_A = photon_wavelength_A
;BraggPeakTableNoOutliers/DetectorDistance_m = detectordistance_m
BraggPeakTableNoOutliers/PixelSize_m = 50e-6
BraggPeakTableNoOutliers/Hide = true
;--
nBraggPeaksNoOutliers/ID = 88
nBraggPeaksNoOutliers/HistName = BraggPeakTableNoOutliers
nBraggPeaksNoOutliers/AxisParameter = YNbrBins
nBraggPeaksNoOutliers/Hide = true
;--
BraggPeakNoOutliersHitfinder/ID = 9
BraggPeakNoOutliersHitfinder/HistName = nBraggPeaksNoOutliers
BraggPeakNoOutliersHitfinder/UpperLimit = 1e20
BraggPeakNoOutliersHitfinder/LowerLimit = 10
BraggPeakNoOutliersHitfinder/Hide = true
[;Processor] ; pp for monitoring found peaks
SubsetBraggPeakTable/ID = 73
SubsetBraggPeakTable/TableName = BraggPeakTableNoOutliers
SubsetBraggPeakTable/ColumnIndex = 9
SubsetBraggPeakTable/UpperBound = 1e20
SubsetBraggPeakTable/LowerBound = 00
SubsetBraggPeakTable/Hide = true
;--
nSubsetBraggPeaks/ID = 88
nSubsetBraggPeaks/HistName = SubsetBraggPeakTable
nSubsetBraggPeaks/AxisParameter = YNbrBins
nSubsetBraggPeaks/Hide = false
;--
SubsetBraggPeakHitfinder/ID = 9
SubsetBraggPeakHitfinder/HistName = nSubsetBraggPeaks
SubsetBraggPeakHitfinder/UpperLimit = 1e20
SubsetBraggPeakHitfinder/LowerLimit = 1
SubsetBraggPeakHitfinder/Hide = true
;--
InfoImageNotRotated/ID = 205
InfoImageNotRotated/ConditionName = SubsetBraggPeakHitfinder
InfoImageNotRotated/HistName = MPCCD
InfoImageNotRotated/TableName = SubsetBraggPeakTable
InfoImageNotRotated/IndexColumn = 5
InfoImageNotRotated/Radius = 2
InfoImageNotRotated/DrawPixelValue = 160000
InfoImageNotRotated/BoxSizeX = 7
InfoImageNotRotated/BoxSizeY = 7
InfoImageNotRotated/DrawBox = true
InfoImageNotRotated/DrawCircle = false
InfoImageNotRotated/Hide = false
[;Processor] ;more monitoring
InfoImage/ID = 1602
InfoImage/ConditionName = SubsetBraggPeakHitfinder
InfoImage/GeometryFilename = /path/to/cspad.geom
InfoImage/HistName = InfoImageNotRotated
InfoImage/Hide = false
;--
MaxADUColumn/ID = 72
MaxADUColumn/ConditionName = SubsetBraggPeakHitfinder
MaxADUColumn/TableName = SubsetBraggPeakTable
MaxADUColumn/ColumnIndex = 12
MaxADUColumn/Hide = true
MaxADUHistory/ID = 64
MaxADUHistory/ConditionName = SubsetBraggPeakHitfinder
MaxADUHistory/HistName = MaxADUColumn
MaxADUHistory/Size = 6000
MaxADUHistory/Hide = false
;--
SNRColumn/ID = 72
SNRColumn/ConditionName = SubsetBraggPeakHitfinder
SNRColumn/TableName = SubsetBraggPeakTable
SNRColumn/ColumnIndex = 4
SNRColumn/Hide = true
SNRHistory/ID = 64
SNRHistory/ConditionName = SubsetBraggPeakHitfinder
SNRHistory/HistName = SNRColumn
SNRHistory/Size = 6000
SNRHistory/Hide = false
;--
nOutlierColumn/ID = 72
nOutlierColumn/ConditionName = SubsetBraggPeakHitfinder
nOutlierColumn/TableName = SubsetBraggPeakTable
nOutlierColumn/ColumnIndex = 13
nOutlierColumn/Hide = true
nOutlierHistory/ID = 64
nOutlierHistory/ConditionName = SubsetBraggPeakHitfinder
nOutlierHistory/HistName = nOutlierColumn
nOutlierHistory/Size = 6000
nOutlierHistory/Hide = false
;--
nPixColumn/ID = 72
nPixColumn/ConditionName = SubsetBraggPeakHitfinder
nPixColumn/TableName = SubsetBraggPeakTable
nPixColumn/ColumnIndex = 3
nPixColumn/Hide = true
nPixHistory/ID = 64
nPixHistory/ConditionName = SubsetBraggPeakHitfinder
nPixHistory/HistName = nPixColumn
nPixHistory/Size = 6000
nPixHistory/Hide = false
;--
stdvColumn/ID = 72
stdvColumn/ConditionName = SubsetBraggPeakHitfinder
stdvColumn/TableName = SubsetBraggPeakTable
stdvColumn/ColumnIndex = 9
stdvColumn/Hide = true
stdvHistory/ID = 64
stdvHistory/ConditionName = SubsetBraggPeakHitfinder
stdvHistory/HistName = stdvColumn
stdvHistory/Size = 6000
stdvHistory/Hide = false
;--
meanColumn/ID = 72
meanColumn/ConditionName = SubsetBraggPeakHitfinder
meanColumn/TableName = SubsetBraggPeakTable
meanColumn/ColumnIndex = 8
meanColumn/Hide = true
meanHistory/ID = 64
meanHistory/ConditionName = SubsetBraggPeakHitfinder
meanHistory/HistName = meanColumn
meanHistory/Size = 6000
meanHistory/Hide = false


;-- define the hit ----
[Processor]
IsHit/ID = 1
IsHit/HistOne = DefaultTrueHist
IsHit/HistTwo = BraggPeakNoOutliersHitfinder
IsHit/Operation = "AND"
IsHit/Hide = true
;--invert hit status
IsNotHit/ID = 4
IsNotHit/HistName = IsHit
IsNotHit/Hide = true
;-- Hit when Laser On
IsHitLaserOn/ID = 1
IsHitLaserOn/HistOne = IsHit
IsHitLaserOn/HistTwo = fsLaserOn
IsHitLaserOn/Operation = "AND"
IsHitLaserOn/Hide = true
;-- Hit when Laser Off
IsHitLaserOff/ID = 1
IsHitLaserOff/HistOne = IsHit
IsHitLaserOff/HistTwo = fsLaserOff
IsHitLaserOff/Operation = "AND"
IsHitLaserOff/Hide = true







;-------checks-------------

; Saturation
[Processor]
; generate a sublist of the list with all identified bragg spots
; that contains only entries with saturated pixels
SaturatedPeaksTable/ID = 73
SaturatedPeaksTable/ConditionName = IsHit
SaturatedPeaksTable/TableName = BraggPeakTableNoOutliers
SaturatedPeaksTable/ColumnIndex = 12
SaturatedPeaksTable/UpperBound = 1e20
SaturatedPeaksTable/LowerBound = 200000
SaturatedPeaksTable/Hide = true
; how many rows has the list
nSaturatedPeaks/ID = 88
nSaturatedPeaks/ConditionName = IsHit
nSaturatedPeaks/HistName = SaturatedPeaksTable
nSaturatedPeaks/AxisParameter = YNbrBins
nSaturatedPeaks/Hide = true
; take the ratio to all peak on the list
SaturatedRatio/ID = 1
SaturatedRatio/ConditionName = IsHit
SaturatedRatio/HistOne = nSaturatedPeaks
SaturatedRatio/HistTwo = nBraggPeaksNoOutliers
SaturatedRatio/Operation = "/"
SaturatedRatio/Hide = false
; histogram the ratio
SaturatedRatioHist/ID = 60
SaturatedRatioHist/ConditionName = IsHit
SaturatedRatioHist/HistName = SaturatedRatio
SaturatedRatioHist/XNbrBins = 100
SaturatedRatioHist/XLow = -0.1
SaturatedRatioHist/XUp = 1.1
SaturatedRatioHist/XTitle = ratio of saturated to all
SaturatedRatioHist/Hide = true
; sum the histogram
SaturatedRatioHistSum/ID = 62
SaturatedRatioHistSum/ConditionName = IsHit
SaturatedRatioHistSum/HistName = SaturatedRatioHist
SaturatedRatioHistSum/Hide = false


; data completness
[Processor]
; retrieve the column containing the resolution from the list
ResolutionColumn/ID = 72
ResolutionColumn/ConditionName = IsHit
ResolutionColumn/TableName = BraggPeakTableNoOutliers
ResolutionColumn/ColumnIndex = 14
ResolutionColumn/Hide = true
; histogram the resolution values
ResolutionHist_/ID = 60
ResolutionHist_/ConditionName = IsHit
ResolutionHist_/HistName = ResolutionColumn
ResolutionHist_/XNbrBins = 100
ResolutionHist_/XLow = 0
ResolutionHist_/XUp = 10
ResolutionHist_/XTitle = "Resolution [A]"
ResolutionHist_/Hide = true
; sum up histogram
ResolutionHist/ID = 62
ResolutionHist/ConditionName = IsHit
ResolutionHist/HistName = ResolutionHist_
ResolutionHist/Hide = false






;------------ things done when it was a hit -----------

[Processor]
; generate offset corrected image
MCCDOffsetCorrected/ID = 1
MCCDOffsetCorrected/ConditionName = IsHit
MCCDOffsetCorrected/HistOne = MPCCDRaw
MCCDOffsetCorrected/HistTwo = OffsetMap
MCCDOffsetCorrected/Operation = "-"
MCCDOffsetCorrected/Hide = true
; mask the bad pixels of the detector
MCCDOffsetCorrectedMasked/ID = 41
MCCDOffsetCorrectedMasked/ConditionName = IsHit
MCCDOffsetCorrectedMasked/HistName = MCCDOffsetCorrected
MCCDOffsetCorrectedMasked/ThresholdName = BadPixMap
MCCDOffsetCorrectedMasked/UserVal = 0
MCCDOffsetCorrectedMasked/LowerBound = 0.5
MCCDOffsetCorrectedMasked/UpperBound = 1.5
MCCDOffsetCorrectedMasked/Hide = false
; mask the bad pixels of the offset corrected detector for cbf output
MCCDOffsetCorrectedMaskedCBF/ID = 41
MCCDOffsetCorrectedMaskedCBF/ConditionName = IsHit
MCCDOffsetCorrectedMaskedCBF/HistName = MCCDOffsetCorrected
MCCDOffsetCorrectedMaskedCBF/ThresholdName = BadPixMap
MCCDOffsetCorrectedMaskedCBF/UserVal = -3
MCCDOffsetCorrectedMaskedCBF/LowerBound = 0.5
MCCDOffsetCorrectedMaskedCBF/UpperBound = 1.5
MCCDOffsetCorrectedMaskedCBF/Hide = false
; create conversion factor to convert adu to photon counts
; N_ph = ADU * (Gain / (photon_energy_eV / 3.65))
;      = ADU * (Gain * 3.65 / photon_energy_eV)
ADUToPhotonCount_/ID = 2
ADUToPhotonCount_/HistName = MPCCDTile1_gain
ADUToPhotonCount_/Value = 3.65
ADUToPhotonCount_/ValuePos = second
ADUToPhotonCount_/Operation = "*"
ADUToPhotonCount_/Hide = false
;--
ADUToPhotonCount/ID = 1
ADUToPhotonCount/HistOne = ADUToPhotonCount_
ADUToPhotonCount/HistTwo = photon_energy_eV
ADUToPhotonCount/Operation = "/"
ADUToPhotonCount/Hide = false
; convert adu to photon counts
MCCDPhotonCounts/ID = 2
MCCDPhotonCounts/ConditionName = IsHit
MCCDPhotonCounts/HistName = MCCDOffsetCorrected
MCCDPhotonCounts/ValueName = ADUToPhotonCount
MCCDPhotonCounts/ValuePos = first
MCCDPhotonCounts/Operation = "*"
MCCDPhotonCounts/Hide = false
; mask the bad pixels of the detector
MCCDPhotonCountsMasked/ID = 41
MCCDPhotonCountsMasked/ConditionName = IsHit
MCCDPhotonCountsMasked/HistName = MCCDPhotonCounts
MCCDPhotonCountsMasked/ThresholdName = BadPixMap
MCCDPhotonCountsMasked/UserVal = 0
MCCDPhotonCountsMasked/LowerBound = 0.5
MCCDPhotonCountsMasked/UpperBound = 1.5
MCCDPhotonCountsMasked/Hide = false
; mask the bad pixels of the detector for cbf output
MCCDPhotonCountsMaskedCBF/ID = 41
MCCDPhotonCountsMaskedCBF/ConditionName = IsHit
MCCDPhotonCountsMaskedCBF/HistName = MCCDPhotonCounts
MCCDPhotonCountsMaskedCBF/ThresholdName = BadPixMap
MCCDPhotonCountsMaskedCBF/UserVal = -3
MCCDPhotonCountsMaskedCBF/LowerBound = 0.5
MCCDPhotonCountsMaskedCBF/UpperBound = 1.5
MCCDPhotonCountsMaskedCBF/Hide = false




[Processor]
;-- the mpccd image when it is a hit
MPCCDIsHit/ID = 13
MPCCDIsHit/ConditionName = IsHit
MPCCDIsHit/HistName = MPCCD
MPCCDIsHit/Hide = false
;-- sum up the mpccd images with laser on
MPCCDSumLaserOn/ID = 62
MPCCDSumLaserOn/HistName = MPCCD
MPCCDSumLaserOn/ConditionName = IsHitLaserOn
MPCCDSumLaserOn/Hide = false
;-- sum up the mpccd images with laser off
MPCCDSumLaserOff/ID = 62
MPCCDSumLaserOff/HistName = MPCCD
MPCCDSumLaserOff/ConditionName = IsHitLaserOff
MPCCDSumLaserOff/Hide = false
;--
;-- create image containing the centroided bragg peaks
MPCCDCentroidBragg/ID = 207
MPCCDCentroidBragg/ConditionName = IsHit
MPCCDCentroidBragg/Table = BraggPeakTableNoOutliers
MPCCDCentroidBragg/ColumnIndex = 1
MPCCDCentroidBragg/RowIndex = 2
MPCCDCentroidBragg/ValIndex = 0
MPCCDCentroidBragg/XNbrBins = 512
MPCCDCentroidBragg/XLow = 0
MPCCDCentroidBragg/XUp = 512
MPCCDCentroidBragg/XTitle = columns
MPCCDCentroidBragg/YNbrBins = 8192
MPCCDCentroidBragg/YLow = 0
MPCCDCentroidBragg/YUp = 8192
MPCCDCentroidBragg/YTitle = rows
MPCCDCentroidBragg/Hide = true
;-- sum up the image containing centroided bragg peaks with Laser on
MPCCDCentroidBraggSumLaserOn/ID = 62
MPCCDCentroidBraggSumLaserOn/HistName = MPCCDCentroidBragg
MPCCDCentroidBraggSumLaserOn/ConditionName = IsHitLaserOn
MPCCDCentroidBraggSumLaserOn/Hide = false
;-- sum up the image containing centroided bragg peaks with Laser off
MPCCDCentroidBraggSumLaserOff/ID = 62
MPCCDCentroidBraggSumLaserOff/HistName = MPCCDCentroidBragg
MPCCDCentroidBraggSumLaserOff/ConditionName = IsHitLaserOff
MPCCDCentroidBraggSumLaserOff/Hide = false
;-- average the image containing centroided bragg peaks with Laser on
MPCCDCentroidBraggAveLaserOn/ID = 61
MPCCDCentroidBraggAveLaserOn/HistName = MPCCDCentroidBragg
MPCCDCentroidBraggAveLaserOn/ConditionName = IsHitLaserOn
MPCCDCentroidBraggAveLaserOn/NbrOfAverages = 0
MPCCDCentroidBraggAveLaserOn/Hide = false
;-- average the image containing centroided bragg peaks with laser off
MPCCDCentroidBraggAveLaserOff/ID = 61
MPCCDCentroidBraggAveLaserOff/HistName = MPCCDCentroidBragg
MPCCDCentroidBraggAveLaserOff/ConditionName = IsHitLaserOff
MPCCDCentroidBraggAveLaserOff/NbrOfAverages = 0
MPCCDCentroidBraggAveLaserOff/Hide = false







; ---------- definition of acutal light in the chamber ---------

; check if there is some light in the chamber based upon the pulse energy
; and the shutter status
[Processor]
;-- there is light when there I0 is measured
IsLight_/ID = 9
IsLight_/HistName = pulse_energy
IsLight_/UpperLimit = 1e20
IsLight_/LowerLimit = 0.5e-6
IsLight_/Hide = true
;-- also check the shutter status
IsLight/ID = 1
IsLight/HistOne = IsLight_
IsLight/HistTwo = shutter_open
IsLight/Operation = "AND"
IsLight/Hide = true
;-- combine the FEL with the LASER status
IsLightLaserOn/ID = 1
IsLightLaserOn/HistOne = IsLight
IsLightLaserOn/HistTwo = fsLaserOn
IsLightLaserOn/Operation = "AND"
IsLightLaserOn/Hide = true
;--
IsLightLaserOff/ID = 1
IsLightLaserOff/HistOne = IsLight
IsLightLaserOff/HistTwo = fsLaserOff
IsLightLaserOff/Operation = "AND"
IsLightLaserOff/Hide = true





;--------------statistics-------------------------

; the total number of triggers disregarding whether the shutter was open
; or closed
[Processor]
nTrigger/ID = 78
nTrigger/Hide = true
;--
nTriggerLaserOn/ID = 78
nTriggerLaserOn/ConditionName = fsLaserOn
nTriggerLaserOn/Hide = true
;--
nTriggerLaserOff/ID = 78
nTriggerLaserOff/ConditionName = fsLaserOff
nTriggerLaserOff/Hide = true

; the number of triggers that contained light (shots)
[Processor]
nShots/ID = 78
nShots/ConditionName = IsLight
nShots/Hide = true
;--
nShotsLaserOn/ID = 78
nShotsLaserOn/ConditionName = IsLightLaserOn
nShotsLaserOn/Hide = true
;--
nShotsLaserOff/ID = 78
nShotsLaserOff/ConditionName = IsLightLaserOff
nShotsLaserOff/Hide = true

; the number of identified hits
[Processor]
nHits/ID = 78
nHits/ConditionName = IsHit
nHits/Hide = true
;--
nHitsLaserOn/ID = 78
nHitsLaserOn/ConditionName = IsHitLaserOn
nHitsLaserOn/Hide = true
;--
nHitsLaserOff/ID = 78
nHitsLaserOff/ConditionName = IsHitLaserOff
nHitsLaserOff/Hide = true





;------------ auxiliary data -----------------
[Processor]
;-- photon energy
photon_energy_keV/ID = 120
photon_energy_keV/VariableName = "xfel_bl_3_tc_spec_1/energy"
photon_energy_keV/Hide = false
;-- photon engery eV
photon_energy_eV/ID = 2
photon_energy_eV/Value = 1000
photon_energy_eV/HistName = photon_energy_keV
photon_energy_eV/ValuePos = first
photon_energy_eV/Operation = "*"
photon_energy_eV/Hide = false
;-- photon wavelength A = 12398 / eV = 12398 / (1000*keV) = 12.398 / keV
photon_wavelength_A/ID = 2
photon_wavelength_A/Value = 12.398
photon_wavelength_A/HistName = photon_energy_keV
photon_wavelength_A/ValuePos = first
photon_wavelength_A/Operation = "/"
photon_wavelength_A/Hide = false
;--
;-- shutter open status (inversion of shutter_close)
shutter_open/ID = 4
shutter_open/HistName = shutter_close
shutter_open/Hide = true
;-- shutter close status
shutter_close/ID = 120
shutter_close/VariableName = "xfel_bl_3_shutter_1_close_valid/status"
shutter_close/Hide = false
;--
;-- Laser shutter open status
fsLaserOn/ID = 120
fsLaserOn/VariableName = "xfel_bl_lh1_shutter_1_open_valid/status"
fsLaserOn/Hide = true
;--
fsLaserOff/ID = 4
fsLaserOff/HistName = fsLaserOn
fsLaserOff/Hide = true
[Processor]
;-- pulse energy measured as charge
pulse_energy_C/ID = 120
pulse_energy_C/VariableName = "xfel_bl_3_tc_bm_1_pd/charge"
pulse_energy_C/Hide = false
;-- pulse energy converted to J
pulse_energy/ID = 2
pulse_energy/HistName = pulse_energy_C
;pulse_energy/Value = 50830.6   ;conversion factor for 12.8 keV
;pulse_energy/Value = 67590   ;conversion factor for 6 keV
pulse_energy/ValuePos = second
pulse_energy/Operation = "*"
pulse_energy/Hide = false






; ------------things written to h5 files----------------------


; things written in each h5 thats a hit with laser on
[Processor]
H5DumpLaserOn/ID = 1002
H5DumpLaserOn/CompressLevel = 0
H5DumpLaserOn/ConditionName = IsHitLaserOn
H5DumpLaserOn/FileBaseName = hdf5Outfilename_LaserOn_
H5DumpLaserOn/MaximumNbrFilesPerDir = 500

H5DumpLaserOn/Processor/size = 200
;--
H5DumpLaserOn/Processor/1/Name = MPCCD
H5DumpLaserOn/Processor/1/GroupName = /MPCCD
H5DumpLaserOn/Processor/1/ValName = data
;--
;H5DumpLaserOn/Processor/2/Name = Microscope
;H5DumpLaserOn/Processor/2/GroupName = /SACLA
;--
H5DumpLaserOn/Processor/3/Name = MCCDOffsetCorrectedMasked
H5DumpLaserOn/Processor/3/GroupName = /MPCCD
H5DumpLaserOn/Processor/3/ValName = OffsetCorrectedData
;--
H5DumpLaserOn/Processor/4/Name = MCCDPhotonCountsMasked
H5DumpLaserOn/Processor/4/GroupName = /MPCCD
H5DumpLaserOn/Processor/4/ValName = PhotonCountsData
;--
H5DumpLaserOn/Processor/10/Name = photon_energy_keV
H5DumpLaserOn/Processor/10/GroupName = /SACLA
;--
H5DumpLaserOn/Processor/11/Name = photon_wavelength_A
H5DumpLaserOn/Processor/11/GroupName = /SACLA
;--
H5DumpLaserOn/Processor/12/Name = photon_energy_eV
H5DumpLaserOn/Processor/12/GroupName = /SACLA
;--
H5DumpLaserOn/Processor/15/Name = pulse_energy
H5DumpLaserOn/Processor/15/GroupName = /SACLA

;things written only at end of run
H5DumpLaserOn/ProcessorSummary/size = 200
;--
H5DumpLaserOn/ProcessorSummary/1/Name = MPCCDSumLaserOn
H5DumpLaserOn/ProcessorSummary/1/GroupName = /MPCCD
H5DumpLaserOn/ProcessorSummary/1/ValName = powder
;--
H5DumpLaserOn/ProcessorSummary/2/Name = MPCCDCentroidBraggSumLaserOn
H5DumpLaserOn/ProcessorSummary/2/GroupName = /MPCCD
H5DumpLaserOn/ProcessorSummary/2/ValName = powderCentroidPix
;--
;--
H5DumpLaserOn/ProcessorSummary/20/Name = MPCCDTile1_nColumns
H5DumpLaserOn/ProcessorSummary/20/GroupName = /MPCCD/Info/Tile1
H5DumpLaserOn/ProcessorSummary/20/ValName = nColumns
;--
H5DumpLaserOn/ProcessorSummary/21/Name = MPCCDTile1_nRows
H5DumpLaserOn/ProcessorSummary/21/GroupName = /MPCCD/Info/Tile1
H5DumpLaserOn/ProcessorSummary/21/ValName = nRows
;--
H5DumpLaserOn/ProcessorSummary/22/Name = MPCCDTile1_posx_um
H5DumpLaserOn/ProcessorSummary/22/GroupName = /MPCCD/Info/Tile1
H5DumpLaserOn/ProcessorSummary/22/ValName = pos_x_um
;--
H5DumpLaserOn/ProcessorSummary/23/Name = MPCCDTile1_posy_um
H5DumpLaserOn/ProcessorSummary/23/GroupName = MPCCD/Info/Tile1
H5DumpLaserOn/ProcessorSummary/23/ValName = pos_y_um
;--
H5DumpLaserOn/ProcessorSummary/23/Name = MPCCDTile1_posz_um
H5DumpLaserOn/ProcessorSummary/23/GroupName = MPCCD/Info/Tile1
H5DumpLaserOn/ProcessorSummary/23/ValName = pos_z_um
;--
H5DumpLaserOn/ProcessorSummary/24/Name = MPCCDTile1_gain
H5DumpLaserOn/ProcessorSummary/24/GroupName = MPCCD/Info/Tile1
H5DumpLaserOn/ProcessorSummary/24/ValName = gain
;--
;--
H5DumpLaserOn/ProcessorSummary/30/Name = MPCCDTile2_nColumns
H5DumpLaserOn/ProcessorSummary/30/GroupName = /MPCCD/Info/Tile2
H5DumpLaserOn/ProcessorSummary/30/ValName = nColumns
;--
H5DumpLaserOn/ProcessorSummary/31/Name = MPCCDTile2_nRows
H5DumpLaserOn/ProcessorSummary/31/GroupName = /MPCCD/Info/Tile2
H5DumpLaserOn/ProcessorSummary/31/ValName = nRows
;--
H5DumpLaserOn/ProcessorSummary/32/Name = MPCCDTile2_posx_um
H5DumpLaserOn/ProcessorSummary/32/GroupName = /MPCCD/Info/Tile2
H5DumpLaserOn/ProcessorSummary/32/ValName = pos_x_um
;--
H5DumpLaserOn/ProcessorSummary/33/Name = MPCCDTile2_posy_um
H5DumpLaserOn/ProcessorSummary/33/GroupName = MPCCD/Info/Tile2
H5DumpLaserOn/ProcessorSummary/33/ValName = pos_y_um
;--
H5DumpLaserOn/ProcessorSummary/33/Name = MPCCDTile2_posz_um
H5DumpLaserOn/ProcessorSummary/33/GroupName = MPCCD/Info/Tile2
H5DumpLaserOn/ProcessorSummary/33/ValName = pos_z_um
;--
H5DumpLaserOn/ProcessorSummary/34/Name = MPCCDTile2_gain
H5DumpLaserOn/ProcessorSummary/34/GroupName = MPCCD/Info/Tile2
H5DumpLaserOn/ProcessorSummary/34/ValName = gain
;--
;--
H5DumpLaserOn/ProcessorSummary/40/Name = MPCCDTile3_nColumns
H5DumpLaserOn/ProcessorSummary/40/GroupName = /MPCCD/Info/Tile3
H5DumpLaserOn/ProcessorSummary/40/ValName = nColumns
;--
H5DumpLaserOn/ProcessorSummary/41/Name = MPCCDTile3_nRows
H5DumpLaserOn/ProcessorSummary/41/GroupName = /MPCCD/Info/Tile3
H5DumpLaserOn/ProcessorSummary/41/ValName = nRows
;--
H5DumpLaserOn/ProcessorSummary/42/Name = MPCCDTile3_posx_um
H5DumpLaserOn/ProcessorSummary/42/GroupName = /MPCCD/Info/Tile3
H5DumpLaserOn/ProcessorSummary/42/ValName = pos_x_um
;--
H5DumpLaserOn/ProcessorSummary/43/Name = MPCCDTile3_posy_um
H5DumpLaserOn/ProcessorSummary/43/GroupName = MPCCD/Info/Tile3
H5DumpLaserOn/ProcessorSummary/43/ValName = pos_y_um
;--
H5DumpLaserOn/ProcessorSummary/43/Name = MPCCDTile3_posz_um
H5DumpLaserOn/ProcessorSummary/43/GroupName = MPCCD/Info/Tile3
H5DumpLaserOn/ProcessorSummary/43/ValName = pos_z_um
;--
H5DumpLaserOn/ProcessorSummary/44/Name = MPCCDTile3_gain
H5DumpLaserOn/ProcessorSummary/44/GroupName = MPCCD/Info/Tile3
H5DumpLaserOn/ProcessorSummary/44/ValName = gain
;--
;--
H5DumpLaserOn/ProcessorSummary/50/Name = MPCCDTile4_nColumns
H5DumpLaserOn/ProcessorSummary/50/GroupName = /MPCCD/Info/Tile4
H5DumpLaserOn/ProcessorSummary/50/ValName = nColumns
;--
H5DumpLaserOn/ProcessorSummary/51/Name = MPCCDTile4_nRows
H5DumpLaserOn/ProcessorSummary/51/GroupName = /MPCCD/Info/Tile4
H5DumpLaserOn/ProcessorSummary/51/ValName = nRows
;--
H5DumpLaserOn/ProcessorSummary/52/Name = MPCCDTile4_posx_um
H5DumpLaserOn/ProcessorSummary/52/GroupName = /MPCCD/Info/Tile4
H5DumpLaserOn/ProcessorSummary/52/ValName = pos_x_um
;--
H5DumpLaserOn/ProcessorSummary/53/Name = MPCCDTile4_posy_um
H5DumpLaserOn/ProcessorSummary/53/GroupName = MPCCD/Info/Tile4
H5DumpLaserOn/ProcessorSummary/53/ValName = pos_y_um
;--
H5DumpLaserOn/ProcessorSummary/53/Name = MPCCDTile4_posz_um
H5DumpLaserOn/ProcessorSummary/53/GroupName = MPCCD/Info/Tile4
H5DumpLaserOn/ProcessorSummary/53/ValName = pos_z_um
;--
H5DumpLaserOn/ProcessorSummary/54/Name = MPCCDTile4_gain
H5DumpLaserOn/ProcessorSummary/54/GroupName = MPCCD/Info/Tile4
H5DumpLaserOn/ProcessorSummary/54/ValName = gain
;--
;--
H5DumpLaserOn/ProcessorSummary/60/Name = MPCCDTile5_nColumns
H5DumpLaserOn/ProcessorSummary/60/GroupName = /MPCCD/Info/Tile5
H5DumpLaserOn/ProcessorSummary/60/ValName = nColumns
;--
H5DumpLaserOn/ProcessorSummary/61/Name = MPCCDTile5_nRows
H5DumpLaserOn/ProcessorSummary/61/GroupName = /MPCCD/Info/Tile5
H5DumpLaserOn/ProcessorSummary/61/ValName = nRows
;--
H5DumpLaserOn/ProcessorSummary/62/Name = MPCCDTile5_posx_um
H5DumpLaserOn/ProcessorSummary/62/GroupName = /MPCCD/Info/Tile5
H5DumpLaserOn/ProcessorSummary/62/ValName = pos_x_um
;--
H5DumpLaserOn/ProcessorSummary/63/Name = MPCCDTile5_posy_um
H5DumpLaserOn/ProcessorSummary/63/GroupName = MPCCD/Info/Tile5
H5DumpLaserOn/ProcessorSummary/63/ValName = pos_y_um
;--
H5DumpLaserOn/ProcessorSummary/63/Name = MPCCDTile5_posz_um
H5DumpLaserOn/ProcessorSummary/63/GroupName = MPCCD/Info/Tile5
H5DumpLaserOn/ProcessorSummary/63/ValName = pos_z_um
;--
H5DumpLaserOn/ProcessorSummary/64/Name = MPCCDTile5_gain
H5DumpLaserOn/ProcessorSummary/64/GroupName = MPCCD/Info/Tile5
H5DumpLaserOn/ProcessorSummary/64/ValName = gain
;--
;--
H5DumpLaserOn/ProcessorSummary/70/Name = MPCCDTile6_nColumns
H5DumpLaserOn/ProcessorSummary/70/GroupName = /MPCCD/Info/Tile6
H5DumpLaserOn/ProcessorSummary/70/ValName = nColumns
;--
H5DumpLaserOn/ProcessorSummary/71/Name = MPCCDTile6_nRows
H5DumpLaserOn/ProcessorSummary/71/GroupName = /MPCCD/Info/Tile6
H5DumpLaserOn/ProcessorSummary/71/ValName = nRows
;--
H5DumpLaserOn/ProcessorSummary/72/Name = MPCCDTile6_posx_um
H5DumpLaserOn/ProcessorSummary/72/GroupName = /MPCCD/Info/Tile6
H5DumpLaserOn/ProcessorSummary/72/ValName = pos_x_um
;--
H5DumpLaserOn/ProcessorSummary/73/Name = MPCCDTile6_posy_um
H5DumpLaserOn/ProcessorSummary/73/GroupName = MPCCD/Info/Tile6
H5DumpLaserOn/ProcessorSummary/73/ValName = pos_y_um
;--
H5DumpLaserOn/ProcessorSummary/73/Name = MPCCDTile6_posz_um
H5DumpLaserOn/ProcessorSummary/73/GroupName = MPCCD/Info/Tile6
H5DumpLaserOn/ProcessorSummary/73/ValName = pos_z_um
;--
H5DumpLaserOn/ProcessorSummary/74/Name = MPCCDTile6_gain
H5DumpLaserOn/ProcessorSummary/74/GroupName = MPCCD/Info/Tile6
H5DumpLaserOn/ProcessorSummary/74/ValName = gain
;--
;--
H5DumpLaserOn/ProcessorSummary/80/Name = MPCCDTile7_nColumns
H5DumpLaserOn/ProcessorSummary/80/GroupName = /MPCCD/Info/Tile7
H5DumpLaserOn/ProcessorSummary/80/ValName = nColumns
;--
H5DumpLaserOn/ProcessorSummary/81/Name = MPCCDTile7_nRows
H5DumpLaserOn/ProcessorSummary/81/GroupName = /MPCCD/Info/Tile7
H5DumpLaserOn/ProcessorSummary/81/ValName = nRows
;--
H5DumpLaserOn/ProcessorSummary/82/Name = MPCCDTile7_posx_um
H5DumpLaserOn/ProcessorSummary/82/GroupName = /MPCCD/Info/Tile7
H5DumpLaserOn/ProcessorSummary/82/ValName = pos_x_um
;--
H5DumpLaserOn/ProcessorSummary/83/Name = MPCCDTile7_posy_um
H5DumpLaserOn/ProcessorSummary/83/GroupName = MPCCD/Info/Tile7
H5DumpLaserOn/ProcessorSummary/83/ValName = pos_y_um
;--
H5DumpLaserOn/ProcessorSummary/83/Name = MPCCDTile7_posz_um
H5DumpLaserOn/ProcessorSummary/83/GroupName = MPCCD/Info/Tile7
H5DumpLaserOn/ProcessorSummary/83/ValName = pos_z_um
;--
H5DumpLaserOn/ProcessorSummary/84/Name = MPCCDTile7_gain
H5DumpLaserOn/ProcessorSummary/84/GroupName = MPCCD/Info/Tile7
H5DumpLaserOn/ProcessorSummary/84/ValName = gain
;--
;--
H5DumpLaserOn/ProcessorSummary/90/Name = MPCCDTile8_nColumns
H5DumpLaserOn/ProcessorSummary/90/GroupName = /MPCCD/Info/Tile8
H5DumpLaserOn/ProcessorSummary/90/ValName = nColumns
;--
H5DumpLaserOn/ProcessorSummary/91/Name = MPCCDTile8_nRows
H5DumpLaserOn/ProcessorSummary/91/GroupName = /MPCCD/Info/Tile8
H5DumpLaserOn/ProcessorSummary/91/ValName = nRows
;--
H5DumpLaserOn/ProcessorSummary/92/Name = MPCCDTile8_posx_um
H5DumpLaserOn/ProcessorSummary/92/GroupName = /MPCCD/Info/Tile8
H5DumpLaserOn/ProcessorSummary/92/ValName = pos_x_um
;--
H5DumpLaserOn/ProcessorSummary/93/Name = MPCCDTile8_posy_um
H5DumpLaserOn/ProcessorSummary/93/GroupName = MPCCD/Info/Tile8
H5DumpLaserOn/ProcessorSummary/93/ValName = pos_y_um
;--
H5DumpLaserOn/ProcessorSummary/93/Name = MPCCDTile8_posz_um
H5DumpLaserOn/ProcessorSummary/93/GroupName = MPCCD/Info/Tile8
H5DumpLaserOn/ProcessorSummary/93/ValName = pos_z_um
;--
H5DumpLaserOn/ProcessorSummary/94/Name = MPCCDTile8_gain
H5DumpLaserOn/ProcessorSummary/94/GroupName = MPCCD/Info/Tile8
H5DumpLaserOn/ProcessorSummary/94/ValName = gain
;--
;--
H5DumpLaserOn/ProcessorSummary/5/Name = nTriggerLaserOn
H5DumpLaserOn/ProcessorSummary/5/GroupName = /statistics
H5DumpLaserOn/ProcessorSummary/5/ValName = NumberOfTriggers
;--
H5DumpLaserOn/ProcessorSummary/6/Name = nShotsLaserOn
H5DumpLaserOn/ProcessorSummary/6/GroupName = /statistics
H5DumpLaserOn/ProcessorSummary/6/ValName = NumberOfShots
;--
H5DumpLaserOn/ProcessorSummary/7/Name = nHitsLaserOn
H5DumpLaserOn/ProcessorSummary/7/GroupName = /statistics
H5DumpLaserOn/ProcessorSummary/7/ValName = NumberOfHits
;--
;--
H5DumpLaserOn/ProcessorSummary/100/Name = OffsetMap
H5DumpLaserOn/ProcessorSummary/100/GroupName = /Checks
;--
H5DumpLaserOn/ProcessorSummary/101/Name = OffsetMapHist
H5DumpLaserOn/ProcessorSummary/101/GroupName = /Checks
H5DumpLaserOn/ProcessorSummary/101/ValName = OffsetValuesHistogram
;--
H5DumpLaserOn/ProcessorSummary/102/Name = NoiseMap
H5DumpLaserOn/ProcessorSummary/102/GroupName = /Checks
;--
H5DumpLaserOn/ProcessorSummary/103/Name = NoiseMapHist
H5DumpLaserOn/ProcessorSummary/103/GroupName = /Checks
H5DumpLaserOn/ProcessorSummary/103/ValName = NoiseValuesHistogram
;--
H5DumpLaserOn/ProcessorSummary/104/Name = BadPixMap
H5DumpLaserOn/ProcessorSummary/104/GroupName = /Checks
;--
;--
H5DumpLaserOn/ProcessorSummary/110/Name = SaturatedRatioHistSum
H5DumpLaserOn/ProcessorSummary/110/GroupName = /Checks
H5DumpLaserOn/ProcessorSummary/110/ValName = SaturationRatioHistogram
;--
H5DumpLaserOn/ProcessorSummary/111/Name = ResolutionHist
H5DumpLaserOn/ProcessorSummary/111/GroupName = /Checks
H5DumpLaserOn/ProcessorSummary/111/ValName = ResolutionHistogram




; things written in each h5 thats a hit with laser off
[Processor]
H5DumpLaserOff/ID = 1002
H5DumpLaserOff/CompressLevel = 0
H5DumpLaserOff/ConditionName = IsHitLaserOff
H5DumpLaserOff/FileBaseName = hdf5Outfilename_LaserOff_
H5DumpLaserOff/MaximumNbrFilesPerDir = 500

H5DumpLaserOff/Processor/size = 200
;--
H5DumpLaserOff/Processor/1/Name = MPCCD
H5DumpLaserOff/Processor/1/GroupName = /MPCCD
H5DumpLaserOff/Processor/1/ValName = data
;--
;H5DumpLaserOff/Processor/2/Name = Microscope
;H5DumpLaserOff/Processor/2/GroupName = /SACLA
;--
H5DumpLaserOff/Processor/3/Name = MCCDOffsetCorrectedMasked
H5DumpLaserOff/Processor/3/GroupName = /MPCCD
H5DumpLaserOff/Processor/3/ValName = OffsetCorrectedData
;--
H5DumpLaserOff/Processor/4/Name = MCCDPhotonCountsMasked
H5DumpLaserOff/Processor/4/GroupName = /MPCCD
H5DumpLaserOff/Processor/4/ValName = PhotonCountsData
;--
H5DumpLaserOff/Processor/10/Name = photon_energy_keV
H5DumpLaserOff/Processor/10/GroupName = /SACLA
;--
H5DumpLaserOff/Processor/11/Name = photon_wavelength_A
H5DumpLaserOff/Processor/11/GroupName = /SACLA
;--
H5DumpLaserOff/Processor/12/Name = photon_energy_eV
H5DumpLaserOff/Processor/12/GroupName = /SACLA
;--
H5DumpLaserOff/Processor/15/Name = pulse_energy
H5DumpLaserOff/Processor/15/GroupName = /SACLA

;things writffen only at end of run
H5DumpLaserOff/ProcessorSummary/size = 200
;--
H5DumpLaserOff/ProcessorSummary/1/Name = MPCCDSumLaserOff
H5DumpLaserOff/ProcessorSummary/1/GroupName = /MPCCD
H5DumpLaserOff/ProcessorSummary/1/ValName = powder
;--
H5DumpLaserOff/ProcessorSummary/2/Name = MPCCDCentroidBraggSumLaserOff
H5DumpLaserOff/ProcessorSummary/2/GroupName = /MPCCD
H5DumpLaserOff/ProcessorSummary/2/ValName = powderCentroidPix
;--
;--
H5DumpLaserOff/ProcessorSummary/20/Name = MPCCDTile1_nColumns
H5DumpLaserOff/ProcessorSummary/20/GroupName = /MPCCD/Info/Tile1
H5DumpLaserOff/ProcessorSummary/20/ValName = nColumns
;--
H5DumpLaserOff/ProcessorSummary/21/Name = MPCCDTile1_nRows
H5DumpLaserOff/ProcessorSummary/21/GroupName = /MPCCD/Info/Tile1
H5DumpLaserOff/ProcessorSummary/21/ValName = nRows
;--
H5DumpLaserOff/ProcessorSummary/22/Name = MPCCDTile1_posx_um
H5DumpLaserOff/ProcessorSummary/22/GroupName = /MPCCD/Info/Tile1
H5DumpLaserOff/ProcessorSummary/22/ValName = pos_x_um
;--
H5DumpLaserOff/ProcessorSummary/23/Name = MPCCDTile1_posy_um
H5DumpLaserOff/ProcessorSummary/23/GroupName = MPCCD/Info/Tile1
H5DumpLaserOff/ProcessorSummary/23/ValName = pos_y_um
;--
H5DumpLaserOff/ProcessorSummary/23/Name = MPCCDTile1_posz_um
H5DumpLaserOff/ProcessorSummary/23/GroupName = MPCCD/Info/Tile1
H5DumpLaserOff/ProcessorSummary/23/ValName = pos_z_um
;--
H5DumpLaserOff/ProcessorSummary/24/Name = MPCCDTile1_gain
H5DumpLaserOff/ProcessorSummary/24/GroupName = MPCCD/Info/Tile1
H5DumpLaserOff/ProcessorSummary/24/ValName = gain
;--
;--
H5DumpLaserOff/ProcessorSummary/30/Name = MPCCDTile2_nColumns
H5DumpLaserOff/ProcessorSummary/30/GroupName = /MPCCD/Info/Tile2
H5DumpLaserOff/ProcessorSummary/30/ValName = nColumns
;--
H5DumpLaserOff/ProcessorSummary/31/Name = MPCCDTile2_nRows
H5DumpLaserOff/ProcessorSummary/31/GroupName = /MPCCD/Info/Tile2
H5DumpLaserOff/ProcessorSummary/31/ValName = nRows
;--
H5DumpLaserOff/ProcessorSummary/32/Name = MPCCDTile2_posx_um
H5DumpLaserOff/ProcessorSummary/32/GroupName = /MPCCD/Info/Tile2
H5DumpLaserOff/ProcessorSummary/32/ValName = pos_x_um
;--
H5DumpLaserOff/ProcessorSummary/33/Name = MPCCDTile2_posy_um
H5DumpLaserOff/ProcessorSummary/33/GroupName = MPCCD/Info/Tile2
H5DumpLaserOff/ProcessorSummary/33/ValName = pos_y_um
;--
H5DumpLaserOff/ProcessorSummary/33/Name = MPCCDTile2_posz_um
H5DumpLaserOff/ProcessorSummary/33/GroupName = MPCCD/Info/Tile2
H5DumpLaserOff/ProcessorSummary/33/ValName = pos_z_um
;--
H5DumpLaserOff/ProcessorSummary/34/Name = MPCCDTile2_gain
H5DumpLaserOff/ProcessorSummary/34/GroupName = MPCCD/Info/Tile2
H5DumpLaserOff/ProcessorSummary/34/ValName = gain
;--
;--
H5DumpLaserOff/ProcessorSummary/40/Name = MPCCDTile3_nColumns
H5DumpLaserOff/ProcessorSummary/40/GroupName = /MPCCD/Info/Tile3
H5DumpLaserOff/ProcessorSummary/40/ValName = nColumns
;--
H5DumpLaserOff/ProcessorSummary/41/Name = MPCCDTile3_nRows
H5DumpLaserOff/ProcessorSummary/41/GroupName = /MPCCD/Info/Tile3
H5DumpLaserOff/ProcessorSummary/41/ValName = nRows
;--
H5DumpLaserOff/ProcessorSummary/42/Name = MPCCDTile3_posx_um
H5DumpLaserOff/ProcessorSummary/42/GroupName = /MPCCD/Info/Tile3
H5DumpLaserOff/ProcessorSummary/42/ValName = pos_x_um
;--
H5DumpLaserOff/ProcessorSummary/43/Name = MPCCDTile3_posy_um
H5DumpLaserOff/ProcessorSummary/43/GroupName = MPCCD/Info/Tile3
H5DumpLaserOff/ProcessorSummary/43/ValName = pos_y_um
;--
H5DumpLaserOff/ProcessorSummary/43/Name = MPCCDTile3_posz_um
H5DumpLaserOff/ProcessorSummary/43/GroupName = MPCCD/Info/Tile3
H5DumpLaserOff/ProcessorSummary/43/ValName = pos_z_um
;--
H5DumpLaserOff/ProcessorSummary/44/Name = MPCCDTile3_gain
H5DumpLaserOff/ProcessorSummary/44/GroupName = MPCCD/Info/Tile3
H5DumpLaserOff/ProcessorSummary/44/ValName = gain
;--
;--
H5DumpLaserOff/ProcessorSummary/50/Name = MPCCDTile4_nColumns
H5DumpLaserOff/ProcessorSummary/50/GroupName = /MPCCD/Info/Tile4
H5DumpLaserOff/ProcessorSummary/50/ValName = nColumns
;--
H5DumpLaserOff/ProcessorSummary/51/Name = MPCCDTile4_nRows
H5DumpLaserOff/ProcessorSummary/51/GroupName = /MPCCD/Info/Tile4
H5DumpLaserOff/ProcessorSummary/51/ValName = nRows
;--
H5DumpLaserOff/ProcessorSummary/52/Name = MPCCDTile4_posx_um
H5DumpLaserOff/ProcessorSummary/52/GroupName = /MPCCD/Info/Tile4
H5DumpLaserOff/ProcessorSummary/52/ValName = pos_x_um
;--
H5DumpLaserOff/ProcessorSummary/53/Name = MPCCDTile4_posy_um
H5DumpLaserOff/ProcessorSummary/53/GroupName = MPCCD/Info/Tile4
H5DumpLaserOff/ProcessorSummary/53/ValName = pos_y_um
;--
H5DumpLaserOff/ProcessorSummary/53/Name = MPCCDTile4_posz_um
H5DumpLaserOff/ProcessorSummary/53/GroupName = MPCCD/Info/Tile4
H5DumpLaserOff/ProcessorSummary/53/ValName = pos_z_um
;--
H5DumpLaserOff/ProcessorSummary/54/Name = MPCCDTile4_gain
H5DumpLaserOff/ProcessorSummary/54/GroupName = MPCCD/Info/Tile4
H5DumpLaserOff/ProcessorSummary/54/ValName = gain
;--
;--
H5DumpLaserOff/ProcessorSummary/60/Name = MPCCDTile5_nColumns
H5DumpLaserOff/ProcessorSummary/60/GroupName = /MPCCD/Info/Tile5
H5DumpLaserOff/ProcessorSummary/60/ValName = nColumns
;--
H5DumpLaserOff/ProcessorSummary/61/Name = MPCCDTile5_nRows
H5DumpLaserOff/ProcessorSummary/61/GroupName = /MPCCD/Info/Tile5
H5DumpLaserOff/ProcessorSummary/61/ValName = nRows
;--
H5DumpLaserOff/ProcessorSummary/62/Name = MPCCDTile5_posx_um
H5DumpLaserOff/ProcessorSummary/62/GroupName = /MPCCD/Info/Tile5
H5DumpLaserOff/ProcessorSummary/62/ValName = pos_x_um
;--
H5DumpLaserOff/ProcessorSummary/63/Name = MPCCDTile5_posy_um
H5DumpLaserOff/ProcessorSummary/63/GroupName = MPCCD/Info/Tile5
H5DumpLaserOff/ProcessorSummary/63/ValName = pos_y_um
;--
H5DumpLaserOff/ProcessorSummary/63/Name = MPCCDTile5_posz_um
H5DumpLaserOff/ProcessorSummary/63/GroupName = MPCCD/Info/Tile5
H5DumpLaserOff/ProcessorSummary/63/ValName = pos_z_um
;--
H5DumpLaserOff/ProcessorSummary/64/Name = MPCCDTile5_gain
H5DumpLaserOff/ProcessorSummary/64/GroupName = MPCCD/Info/Tile5
H5DumpLaserOff/ProcessorSummary/64/ValName = gain
;--
;--
H5DumpLaserOff/ProcessorSummary/70/Name = MPCCDTile6_nColumns
H5DumpLaserOff/ProcessorSummary/70/GroupName = /MPCCD/Info/Tile6
H5DumpLaserOff/ProcessorSummary/70/ValName = nColumns
;--
H5DumpLaserOff/ProcessorSummary/71/Name = MPCCDTile6_nRows
H5DumpLaserOff/ProcessorSummary/71/GroupName = /MPCCD/Info/Tile6
H5DumpLaserOff/ProcessorSummary/71/ValName = nRows
;--
H5DumpLaserOff/ProcessorSummary/72/Name = MPCCDTile6_posx_um
H5DumpLaserOff/ProcessorSummary/72/GroupName = /MPCCD/Info/Tile6
H5DumpLaserOff/ProcessorSummary/72/ValName = pos_x_um
;--
H5DumpLaserOff/ProcessorSummary/73/Name = MPCCDTile6_posy_um
H5DumpLaserOff/ProcessorSummary/73/GroupName = MPCCD/Info/Tile6
H5DumpLaserOff/ProcessorSummary/73/ValName = pos_y_um
;--
H5DumpLaserOff/ProcessorSummary/73/Name = MPCCDTile6_posz_um
H5DumpLaserOff/ProcessorSummary/73/GroupName = MPCCD/Info/Tile6
H5DumpLaserOff/ProcessorSummary/73/ValName = pos_z_um
;--
H5DumpLaserOff/ProcessorSummary/74/Name = MPCCDTile6_gain
H5DumpLaserOff/ProcessorSummary/74/GroupName = MPCCD/Info/Tile6
H5DumpLaserOff/ProcessorSummary/74/ValName = gain
;--
;--
H5DumpLaserOff/ProcessorSummary/80/Name = MPCCDTile7_nColumns
H5DumpLaserOff/ProcessorSummary/80/GroupName = /MPCCD/Info/Tile7
H5DumpLaserOff/ProcessorSummary/80/ValName = nColumns
;--
H5DumpLaserOff/ProcessorSummary/81/Name = MPCCDTile7_nRows
H5DumpLaserOff/ProcessorSummary/81/GroupName = /MPCCD/Info/Tile7
H5DumpLaserOff/ProcessorSummary/81/ValName = nRows
;--
H5DumpLaserOff/ProcessorSummary/82/Name = MPCCDTile7_posx_um
H5DumpLaserOff/ProcessorSummary/82/GroupName = /MPCCD/Info/Tile7
H5DumpLaserOff/ProcessorSummary/82/ValName = pos_x_um
;--
H5DumpLaserOff/ProcessorSummary/83/Name = MPCCDTile7_posy_um
H5DumpLaserOff/ProcessorSummary/83/GroupName = MPCCD/Info/Tile7
H5DumpLaserOff/ProcessorSummary/83/ValName = pos_y_um
;--
H5DumpLaserOff/ProcessorSummary/83/Name = MPCCDTile7_posz_um
H5DumpLaserOff/ProcessorSummary/83/GroupName = MPCCD/Info/Tile7
H5DumpLaserOff/ProcessorSummary/83/ValName = pos_z_um
;--
H5DumpLaserOff/ProcessorSummary/84/Name = MPCCDTile7_gain
H5DumpLaserOff/ProcessorSummary/84/GroupName = MPCCD/Info/Tile7
H5DumpLaserOff/ProcessorSummary/84/ValName = gain
;--
;--
H5DumpLaserOff/ProcessorSummary/90/Name = MPCCDTile8_nColumns
H5DumpLaserOff/ProcessorSummary/90/GroupName = /MPCCD/Info/Tile8
H5DumpLaserOff/ProcessorSummary/90/ValName = nColumns
;--
H5DumpLaserOff/ProcessorSummary/91/Name = MPCCDTile8_nRows
H5DumpLaserOff/ProcessorSummary/91/GroupName = /MPCCD/Info/Tile8
H5DumpLaserOff/ProcessorSummary/91/ValName = nRows
;--
H5DumpLaserOff/ProcessorSummary/92/Name = MPCCDTile8_posx_um
H5DumpLaserOff/ProcessorSummary/92/GroupName = /MPCCD/Info/Tile8
H5DumpLaserOff/ProcessorSummary/92/ValName = pos_x_um
;--
H5DumpLaserOff/ProcessorSummary/93/Name = MPCCDTile8_posy_um
H5DumpLaserOff/ProcessorSummary/93/GroupName = MPCCD/Info/Tile8
H5DumpLaserOff/ProcessorSummary/93/ValName = pos_y_um
;--
H5DumpLaserOff/ProcessorSummary/93/Name = MPCCDTile8_posz_um
H5DumpLaserOff/ProcessorSummary/93/GroupName = MPCCD/Info/Tile8
H5DumpLaserOff/ProcessorSummary/93/ValName = pos_z_um
;--
H5DumpLaserOff/ProcessorSummary/94/Name = MPCCDTile8_gain
H5DumpLaserOff/ProcessorSummary/94/GroupName = MPCCD/Info/Tile8
H5DumpLaserOff/ProcessorSummary/94/ValName = gain
;--
;--
H5DumpLaserOff/ProcessorSummary/5/Name = nTriggerLaserOff
H5DumpLaserOff/ProcessorSummary/5/GroupName = /statistics
H5DumpLaserOff/ProcessorSummary/5/ValName = NumberOfTriggers
;--
H5DumpLaserOff/ProcessorSummary/6/Name = nShotsLaserOff
H5DumpLaserOff/ProcessorSummary/6/GroupName = /statistics
H5DumpLaserOff/ProcessorSummary/6/ValName = NumberOfShots
;--
H5DumpLaserOff/ProcessorSummary/7/Name = nHitsLaserOff
H5DumpLaserOff/ProcessorSummary/7/GroupName = /statistics
H5DumpLaserOff/ProcessorSummary/7/ValName = NumberOfHits
;--
;--
H5DumpLaserOff/ProcessorSummary/100/Name = OffsetMap
H5DumpLaserOff/ProcessorSummary/100/GroupName = /Checks
;--
H5DumpLaserOff/ProcessorSummary/101/Name = OffsetMapHist
H5DumpLaserOff/ProcessorSummary/101/GroupName = /Checks
H5DumpLaserOff/ProcessorSummary/101/ValName = OffsetValuesHistogram
;--
H5DumpLaserOff/ProcessorSummary/102/Name = NoiseMap
H5DumpLaserOff/ProcessorSummary/102/GroupName = /Checks
;--
H5DumpLaserOff/ProcessorSummary/103/Name = NoiseMapHist
H5DumpLaserOff/ProcessorSummary/103/GroupName = /Checks
H5DumpLaserOff/ProcessorSummary/103/ValName = NoiseValuesHistogram
;--
H5DumpLaserOff/ProcessorSummary/104/Name = BadPixMap
H5DumpLaserOff/ProcessorSummary/104/GroupName = /Checks
;--
;--
H5DumpLaserOff/ProcessorSummary/110/Name = SaturatedRatioHistSum
H5DumpLaserOff/ProcessorSummary/110/GroupName = /Checks
H5DumpLaserOff/ProcessorSummary/110/ValName = SaturationRatioHistogram
;--
H5DumpLaserOff/ProcessorSummary/111/Name = ResolutionHist
H5DumpLaserOff/ProcessorSummary/111/GroupName = /Checks
H5DumpLaserOff/ProcessorSummary/111/ValName = ResolutionHistogram








;-------------------program control and setup----------------------

; how many threads should retrieve the data
[SACLAOfflineInput]
NbrThreads = 1


[SACLAConverter]
;-- flag to retrieve additional accelerator data
RetrieveAcceleratorData = false

;-- the octal detectors
OctalPixelDetectors/size = 1
;-- MPCCDImage
OctalPixelDetectors/1/DetectorIDName = "MPCCD-8-2-001"
OctalPixelDetectors/1/NormalizeToAbsGain = true
OctalPixelDetectors/1/CASSID = 20

;;-- simple pixel detectors
;PixelDetectors/size = 1
;;-- the microscope
;PixelDetectors/1/DetectorIDName = "IPX-VGA120LMCN:ASSY-0074-0003-RF03:022103"
;PixelDetectors/1/CASSID = 21

;-- data from the database
DatabaseValues/size = 100
;--
DatabaseValues/1/ValueName = "xfel_bl_3_tc_spec_1/energy"
;--
DatabaseValues/2/ValueName = "xfel_bl_3_shutter_1_close_valid/status"
;--
DatabaseValues/3/ValueName = "xfel_bl_3_tc_bm_1_pd/charge"
;--
DatabaseValues/4/ValueName = "xfel_bl_lh1_shutter_1_open_valid/status"




; what output level should be written into the log file
[Log]
MaxLoggingLevel = "INFO"
;MaxLoggingLevel = "VERBOSEINFO"
;MaxLoggingLevel = "DEBUG4"
Directory = logfiledir
Filename = logfilename.log
